//import your libraries. 
import de.bezier.data.sql.*;

//THIS is a simple sketch that saves the result of a MySQL query as a text file so that we can load into a visualization sketch to avoid having to query the server every time we start it.  
//It will make things run much faster so I suggest doing this whenever you've decided on the exact query you want to use for a visualization.  

MySQL msql;
String[] textArray = new String[1];
String DL = ","; //the DELIMITER

void setup() {
    // connecting to the TANGO database
    msql = new MySQL( this, "tango.mat.ucsb.edu", "spl0", "mat259", "V1sual1zat1on" ); //host, database, user, password
    if ( msql.connect() )
    { 
      String TheQuery="select title from inraw where title like '%water%' and itemtype like '%bk%';";
          println(TheQuery);
          msql.query( TheQuery);
          msql.next();
          textArray[0] = TheQuery;
          while( msql.next() ){
              //always use msql.getString instead of getInt or getFloat, because we're just saving this to a text file.  
              //We'll cast them as floats or ints later when we import it into our actual visualization. 
              
              textArray = append(textArray, msql.getString(1)); //separate each column by the "^^" delimiter so that we can parse the file later on.  
          }     
     }
    else
    {
      println(" connection failed !");
    }
    saveStrings("20052011Data_WATER.txt", textArray);
}

void draw() {
  exit();
}


/* This is how you can retrieve the data.  Put this code into your visualization file probably in the setup.  Make sure the savedData.txt file is also in its folder:
 
  String savedData[] = loadStrings("savedData.txt");
  println("QUERY: " + savedData[0]);
  for (int i=1; i < savedData.length; i++) {
    
    String temp[] = split(savedData[i], "^^");
    transactionsPerHour[Integer.parseInt(temp[0])] = Integer.parseInt(temp[1]);
    
    //transactionsPerHour[msql.getInt(1)] = msql.getInt(2);
  }   
  
*/




